tulip (6.0.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not mistake package version for API version

 -- Bastian Germann <bage@debian.org>  Fri, 29 Aug 2025 11:25:40 +0200

tulip (6.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Build with QtWebEngine instead of QtWebKit. (Closes: #1101128)
  * Build with sip6. (Closes: #1060728)

  [ James Turton ]
  * New upstream release:
    * the addition of a 'Dark' display mode (5.5)
    * the support of High DPI automatic scaling (5.5)
    * the ability to use slq LIKE patterns, in the Search dialog and
      Spreadsheet view configuration panel (5.5)
    * a new Second order centrality measure plugin (5.5)
    * the addition of Python 3.13 support (Closes: #1092993)
    * bugfixes for some OGDF layout algorithms (5.5.1)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Fix field name typo in debian/copyright (Comments => Comment).
  * Drop unnecessary dh arguments: --parallel
  * Add upstream metadata
  * Do not Build-Depend obsolete package: libfreetype6-dev => libfreetype-dev

 -- Bastian Germann <bage@debian.org>  Tue, 19 Aug 2025 00:39:13 +0200

tulip (5.4.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/remove_distutils.patch: Add patch to remove use of distutils
    in the package.
  * d/control: Remove python3-distutils package from Build Dependency
    (Closes: #1065989).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 15 Jul 2024 21:55:41 -0300

tulip (5.4.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Disable detailed stacktrace by moving binutils-dev from
    Build-Depends to Build-Conflicts (Closes: #831503)
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 18 Jan 2021 14:43:38 +0000

tulip (5.4.0+dfsg-2) unstable; urgency=medium

  * Add dependency on python3-sip (Closes: #973996).
  * Fix incorrect font dirs (Closes: #973988).
  * Add Python 3.9 support (Closes: #972917).

 -- James Turton <james@somecomputer.xyz>  Sat, 14 Nov 2020 13:18:35 +0000

tulip (5.4.0+dfsg-1) unstable; urgency=medium

  * Package adopted by Debian Science Team
  * New packaging repo layout using master, upstream and pristine-tar branches
  * Additional filtering of upstream source where Debian equivalents are
    available.
  * New upstream release:
    * a slight redesign of the graphical user interface, in particular the
      Python IDE and Search Dialog
    * a speedup of the OpenGL rendering engine
    * the addition of the Python 3.8 support (Tulip python wheels are now
      available for Python 2.7, 3.5, 3.6, 3.7 and 3.8 versions)
    * the addition of an 'automatic choice' mode for the Geographic view
      geolocation feature

 -- James Turton <james@somecomputer.xyz>  Fri, 16 Oct 2020 08:21:27 +0000

tulip (4.8.0dfsg-2) unstable; urgency=medium

  * Don't record a build date, which would anyway AFAICT never be
    reported, fixing build-reproducibility issue.

 -- Yann Dirson <dirson@debian.org>  Mon, 28 Dec 2015 23:19:01 +0100

tulip (4.8.0dfsg-1) unstable; urgency=medium

  * New upstream release:
    * Fixes amd64 FTBTS (Closes: #803311).
    * New thirdparty lib libtess2, adding to debian/copyright.
    * Make sure everything python is under dist-packages, and installed
      in main package, leaving only the libtulip-python shlib in its
      own package.
  * Replace more occurrences of __linux and __linux__ with __unix__.
  * Cleanup of debian/README.maint.
  * Fixed location of CPL license text (not to be installed in a directory
    of same name as uncompressed file).
  * Switch repacked upstream tarball to xz compression.

 -- Yann Dirson <dirson@debian.org>  Tue, 01 Dec 2015 23:48:46 +0100

tulip (4.7.0dfsg-2) unstable; urgency=medium

  * Rebuild with g++-5, no library transition needed as 4.7 has not
    entered testing yet.

 -- Yann Dirson <dirson@debian.org>  Mon, 07 Sep 2015 22:38:54 +0200

tulip (4.7.0dfsg-1) unstable; urgency=medium

  * New upstream release.
    * New thirdparty lib QtAwesome, adding to debian/copyright.
  * Filtered fontawesome-webfont.ttf from dfsg package, removed it from
    the list of files to be installed.
  * Replace installed fontawesome-webfont.ttf with a symlink, depend on
    fonts-font-awesome accordingly.
  * Switch to Qt5 (Closes: #784533).
  * Fixed wrong description of libtulip-python package.
  * Some rewording of debian/README.maint.
  * Reworked debian/copyright using License clauses.

 -- Yann Dirson <dirson@debian.org>  Wed, 20 May 2015 20:21:23 +0200

tulip (4.6.0dfsg-2) unstable; urgency=medium

  * Add dependency of tulip-dbg against tulip (lintian).
  * Update Vcs-* URLs.
  * Updated debian/copyright (lintian)
    * Fixed short names not to contain spaces
    * Fill Copyright file for Qxt
    * FindSIP as BSD-3-clause as found in COPYING-CMAKE-SCRIPTS in other
      packages
    * customized.css as BSD-2-clause, as found at
      http://utilia.readthedocs.org/en/latest/legal/notices.html
    * Replace link to obsolete BSD license file with full text or 2- and
      3-clause.
  * Bumped Standards-Version to 3.9.6, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 23 Oct 2014 00:14:58 +0200

tulip (4.6.0dfsg-1) unstable; urgency=medium

  * New upstream release.
    * Dropped OGDF-related patches, included upstream.
  * New thirdparty package utf8-cpp, removing from upstream tarball and
    using libutfcpp-dev instead.

 -- Yann Dirson <dirson@debian.org>  Mon, 13 Oct 2014 20:54:56 +0200

tulip (4.5.0dfsg-2) unstable; urgency=medium

  * Restricted binutils-dev build-dep from "any-i386" to "linux-i386
    kfreebsd-i386" just to exclude Hurd, which is not supported by the
    crash_handler support.
  * Add missing entries in debian/copyright (Closes: #748751).

 -- Yann Dirson <dirson@debian.org>  Tue, 20 May 2014 20:58:44 +0200

tulip (4.5.0dfsg-1) unstable; urgency=medium

  * New upstream release.
    * Dropped most patches, included upstream.
    * Thirdparty libs naming changed.
  * Forced ftgl lib name back to "ftgl" to force use of system lib.
  * Include full soname in thirdparty lib packages.
  * Build OGDF with -DOGDF_DLL to avoid useless and buggy cpuid call
    (Closes: #734318, #723982).  Had to get a related fix from latest OGDF
    snapshot for this to work.  Thanks to Aurelien Jarno for the
    diagnostic, and to Patrick Mary for his help in reaching a complete
    fix.
  * Really use dh_buildinfo again, it was lost during migration to dh.

 -- Yann Dirson <dirson@debian.org>  Sun, 18 May 2014 22:10:36 +0200

tulip (4.4.0dfsg2-2) unstable; urgency=medium

  * Activate #undef of minor() and major() in Plugin.h, which prevented
    build on kfreebsd.
  * Add removal of /usr/share/tulip/bitmaps/fonts in preinst, to properly
    handle its change from a dir to a symlink.

 -- Yann Dirson <dirson@debian.org>  Sat, 01 Feb 2014 21:51:05 +0100

tulip (4.4.0dfsg2-1) unstable; urgency=low

  * Repackage orig tarball without any trutype font (Closes: #735121),
    ship /usr/share/tulip/bitmaps/fonts as symlink to
    /usr/share/fonts/truetype use installed fonts instead.
  * Update debian/README.maint to show "git archive" use for dfsg.orig
    tarball generation.
  * Configure with -DBUILD_DOC=OFF to make sure doc files are not
    generated even with sphinx installed, as -doc package is not back yet.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Jan 2014 20:48:06 +0100

tulip (4.4.0dfsg-2) unstable; urgency=low

  * Add a default value for OS_ARCHITECTURE, since it is now used on all
    archs in the PluginManager (Closes: #734924).

 -- Yann Dirson <dirson@debian.org>  Sat, 11 Jan 2014 20:08:10 +0100

tulip (4.4.0dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #703041).
    * Builds again on current amd64 (Closes: #729738).
    * Includes manuals again (but needs python activated, and shpinx, to build)
    * Known to segfault on amd64 at startup, but uploading anyway since at least
      i386 does not have the bug.
  * Activate python support, build-depend on python-sip-dev; new
    libtulip-python* package.
  * Switch build-dep from libglew1.5-dev to libglew-dev.
  * Change dep from obsolete ttf-dejavu-core to fonts-dejavu-core.

 -- Yann Dirson <dirson@debian.org>  Sun, 05 Jan 2014 16:25:20 +0100

tulip (4.3.0dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    * Does not include standalone manuals any more, dropped tulip-doc package,
      updated manpage to point to official website for docs.
    * libtulip renamed to libtulip-core, libtulip-qt4 to libtulip-gui.
    * New thirdparty libs: qhull, qxt, quazip, yajl; update copyright file for
      them.
    * thirdparty libs all suffixed -tulip4.3.0
    * Does not include desktop file any more, adding it back with associated
      pixmap.
    * libtulip-dev now ships qtcreator templates.
    * no more contents for tulip-doc or tulip-help, drop packages and build-deps
      on docbook-xsl toolchain.
    * now requires libqtwebkit-dev.
  * Re-add versions to thirdparty libraries we ship, why on earth did upstream
    revert that !?
  * Fixed build system for the case of disabled python support.
  * Add (dummy) missing SOVERSION to thirdparty libs.
  * Updated debian/watch to tolerate underscores in filename.
  * Fixed to suggest cmake instead of automaken (has been wrong since 3.6).
  * Add tulip-dbg package.
  * Refresh main package description using upstream website headline.

 -- Yann Dirson <dirson@debian.org>  Fri, 27 Sep 2013 01:17:16 +0200

tulip (3.7.0dfsg-4) unstable; urgency=low

  * Completely disable crash handler on archs other than i386 and amd64,
    it currenty requires explicit knowledge of the architecture's
    instruction pointer (<sigh> should have read upstream code at first...).

 -- Yann Dirson <dirson@debian.org>  Sat, 19 May 2012 14:07:32 +0200

tulip (3.7.0dfsg-3) unstable; urgency=low

  * Replace all remaining uses of __linux and __linux__ by __unix__.
  * Restrict binutils-dev build-depend any-i386 and any-amd64 instead of
    using negation (which did not appear to work for any reason ?).
  * Add license paragraph for "Files: *" (lintian).

 -- Yann Dirson <dirson@debian.org>  Sat, 19 May 2012 10:32:50 +0200

tulip (3.7.0dfsg-2) unstable; urgency=low

  * Restrict binutils-dev build-depend to exclude archs with cpus
    not supported by the "detailed stack traces" feature.
  * Check for __unix__ instead of __linux, so the "detailed stack traces"
    feature will work on non-linux archs.

 -- Yann Dirson <dirson@debian.org>  Fri, 18 May 2012 15:26:14 +0200

tulip (3.7.0dfsg-1) unstable; urgency=low

  * New upstream release:
    * drop patches included or superceded upstream:
      * "Make gzstream library name tunable as GZStreamLibrary"
      * "Use system FTGL, not the one shipped in thirtparty/"
      * "Rename gzstream library to gzstreamtlp-3.6"
      * "Rename libOGDF.so to libOGDFtlp-3.6.so"
    * Refreshed remaining patches:
      * Factored out references to doc-building jars in cmake files
      * Comment out INSTALL_RPATH flag on executables.
      * Disable python binding.
      * Use Debian-packaged jars.
      * Fix FTBFS with GCC 4.7.
    * Set the UBUNTU_PPA_BUILD cmake flag to benefit from this work.
    * Updated package names for new version and new lib names.
    * Builds and installs docs when using -DBUILD_DOC=ON.
  * Acknowledge NMU, sync with work done in parallel on the package:
    * Don't call dh_auto_build for arch-indep which do not need it
    * Remove -a and -i flags from calls where dh already adds them.
  * Separate shlib version with a dash in 3rdparty libs, so parsing the
    soname will correctly identify the version (thanks lintian...).
  * Move online help from tulip-doc into new tulip-help package, and let
    tulip recommend it.
  * Build-depend on binutils-dev to benefit from detailed stack traces on crash.
  * Use bash for tulip-config script with bashism (Closes: #530127).
  * When making docs, move expansion of the "doc-*" pattern from the shell
    up to make, so log failures on buildd can give meaningful information.
  * Updated debian/README.maint, to reflect the use of a collab-maint git repo.
  * Added Vcs-git and Vcs-browser control fields.
  * Declare "dfsg" version mangling in debian/watch (lintian).
  * Fixed continuation lines in debian/copyright (lintian).
  * Added GPL2 license paragraph for the (unused) ftgl subtree (lintian).
  * Bumped Standards-Version to 3.9.3, no other change.

 -- Yann Dirson <dirson@debian.org>  Sat, 12 May 2012 11:18:11 +0200

tulip (3.6.0dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix debian/rules, so the package compiles on the buildds. Closes: #650653.
  * Add gcc4.7_ftbfs patch to fix FTBFS with GCC 4.7. Closes: #667401.
  * Update Build-Depends on libpng-dev. Closes: #662526.
  * Bump debhelper Build-Depends to >= 9, as recommended by lintian.

 -- Regis Boudin <regis@debian.org>  Mon, 23 Apr 2012 22:52:11 +0200

tulip (3.6.0dfsg-2) unstable; urgency=low

  * Don't build docs for tulip-doc from build-arch, move java packages,
    docbook-xsl and doxygen to Build-Depend-Indep (where default-jre-headless
    was, already).  Closes: #639313.  Uses debhelper compat level 9 for this,
    but for unknown reason so we do not get multiarch paths.
  * Drop apparently-useless build-dep on texlive-extra-utils (Closes:
    #616282).
  * Cleanup: merge the 2 gzstream-related patches in debian/patches, since
    the second one was obsoleting the first one.
  * Drop long-useless build-dep on sharutils.
  * Remove docs/doxygen/xml on clean.

 -- Yann Dirson <dirson@debian.org>  Fri, 09 Sep 2011 22:58:34 +0200

tulip (3.6.0dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #617602).
   * Upstream changed build system to cmake, dropping all previous patches.
     Closes: #407855, #559083, #633269 (not applicable any more).
   * Builds correctly with g++-4.5 (Closes: #615687).
   * Deactivate tlprender package, it is neither built nor buildable
     any more. Drop build-dep on libosmesa6-dev.
  * Noted REJECT in previous changelog entry.
  * Converted debian/copyright to DEP-5.
  * Regenerated upstream tarball as tar.bz2 after removing:
    * thirdparty/libgpugraph/: no license, unused upstream
    * thirdparty/{saxon,xml-commons}/: jars only, use debs instead
    * thirdparty/ftgl/: use debs instead
    * thirdparty/{QScintilla-gpl-2.4.6,sip-4.12.1}/: unused for now, see below
  * Kept DEP-5 entries for removed dirs in debian/copyright.nuked
  * Update debian/watch for new upstream naming scheme.
  * Switched build-dep from libjpeg62-dev to libjpeg-dev (Closes:
    #634636).
  * Switched build-dep from libgl1-mesa-swx11-dev to libgl1-mesa-dev |
    libgl-dev (Closes: #560012, #638169).
  * Disable thirdparty/ftgl directory and point to system one.
  * Changed libOGDF lib name to OGDFtlp-3.6.  Ideally we should rely on a
    standalone package for this, but OGDF upstream only build static libs
    anyway, so thirdparty/OGDF is as close to a usable shared lib as we
    can get, I guess... Create new binary package for it.
  * Make the name of the gzstream library tunable via cmake variable.
  * Change libgzstream name to libgzstreamtlp-3.6. Create new binary package
    for it.
  * Disable the python stuff for now even if it would be normally
    activated, it is even more work to get it right.  Will need build-dep
    on at least python-dev, python-sphinx, python-sip-dev,
    python-qscintilla2 when we want to do that.
  * Comment out INSTALL_RPATH flag on executables.  Call cmake with
    -DCMAKE_SKIP_RPATH:BOOL=YES.
  * Factored out references to doc-building jars in cmake files.
  * Use Debian-povided versions of doc-building jars, build-depend on
    libsaxon-java, libxml-commons-resolver1.1-java.

  * Switched to "dh", set compat level to 8.
  * Merge all -dev packages into tulip-dev for packaging convenience.
  * Fix typo in changelog (lintian).
  * Bumped Standards-Version to 3.9.1, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 25 Aug 2011 02:19:48 +0200

tulip (3.3.1-1) unstable; urgency=low

  * (rejected by ftpmaster because of thirdparty/*).
  * New upstream release.
  * Acknowledge NMUs.
  * Change lib package names to *-3.3.
  * Fixed patch for docbook-xsl catalog: move -D flags before the class
    name, so that also works when sun's jre is the default.
  * Dropped unneeded patches:
    * missing headers for gcc4.4
    * xml markup improvements
  * Regenerated autotools files, this time using autoconf2.59 to match
    upstream.
  * Use packaged ftgl instead of in-source one.
  * Capitalize doc-base section (lintian).
  * Bumped Standards-Version to 3.8.4, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Jun 2010 22:13:47 +0200

tulip (3.1.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Change section of generated manpages to .3tulip (Closes: #557054, #558473)
  * urgency set to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 27 Jan 2010 11:32:43 +0100

tulip (3.1.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added missing headers for gcc4.4 (Closes: #527215)

 -- Meike Reichle <meike@debian.org>  Sat, 23 Jan 2010 23:46:34 +0100

tulip (3.1.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use ttf-dejavu instead of ttf-bitstream-vera (now gone), patch from
    James Westby (Closes: #528152)
  * Add build-dep on texlive-extra-utils for epstopdf
  * Use local docbook-xsl catalog for saxon instead of relying on network
    access, patch from James Westby

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 23 Nov 2009 17:26:36 +0100

tulip (3.1.2-2) unstable; urgency=low

  * Fixed install target to cope with arch-dep-only builds (Closes:
    #526968).
  * Rename all manpages to .3tlp to avoid conflicting with various other
    pacakges (Closes: #526951).

 -- Yann Dirson <dirson@debian.org>  Mon, 04 May 2009 21:43:57 +0200

tulip (3.1.2-1) unstable; urgency=low

  * New upstream beta release, new shared-libs packages (Closes: #476008,
    #479327).
  * New packages for libtulip-pluginsmanager.
  * Drop version from -dev package names.
  * Use ${binary:Version} for versionning dependencies.
  * Automate dispatching header files into -dev packages (it was about
    time I get a round tuit...).
  * Build with --enable-tlprender --enable-stats-gui
  * Include tulip_check_pl in tulip package for now.
  * Build-depend on libglew1.5-dev and libqt4-opengl-dev.
  * Build-depend on libftgl-dev instead of transitionnal ftgl-dev.
  * Deactivate use of system ftgl, since 2.1.3 seems to drop backward
    compatibility.
  * Build manuals using upstream Makefiles, build-depend on
    default-jre-headless instead of xmltex and xmlto (Closes: #419532).
  * Fixed debhelper flags for binary-indep target.
  * Ship library manpages and other doxygen-generated docs.
  * Added Homepage field to debian/control.
  * Bumped Standards-Version to 3.8.1
  * Fix to debian/README.maint.
  * Fixed debian/copyright encoding (lintian).
  * Updated FSF address in debian/copyright (lintian).
  * Moved menu entry from Apps to Applications (lintian).
  * Dropped useless debian/shlibs.local.
  * Updated patches:
    * Fix include paths for out-of-tree build (partly integrated upstream,
      new ones missing).
    * Regenerate autotools files, adding "libtoolize --copy --force" using
      libtool 1.5.26 to the run (2.2.6a fails to build shared libraries).
  * New patches:
    * Update doc Makefiles for out-of-tree build.
    * Improve markup of manuals slightly, though not enough to make them
      valid XML.
    * Hack thirdparty/Makefile.am to prevent shipped gle to be built.

 -- Yann Dirson <dirson@debian.org>  Wed, 29 Apr 2009 23:21:34 +0200

tulip (3.0.0~B6-2) unstable; urgency=low

  * Updated debian/copyright to include details about copyright holders
    and third-party source packages.

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Nov 2007 22:02:01 +0100

tulip (3.0.0~B6-1) unstable; urgency=low

  * New upstream beta release, new shared-libs packages.
  * Dropped patches for gcc 4.3 and 64bit archs, not needed any more.
  * Update debian/watch to take beta versions into account.
  * Adapted detection of unmoved files to /dev/stderr possibly not being
    writable under 'su'.
  * Empty DH_OPTIONS on install rule, so old arch-indep dirs do not creep
    in new packages.
  * New patches:
    * Fix include paths for out-of-tree build.
    * Regenerate autotools files.

 -- Yann Dirson <dirson@debian.org>  Sat, 10 Nov 2007 16:04:23 +0100

tulip (2.0.6-5) unstable; urgency=low

  * Added libosmesa6-dev to build-deps to get tlprender built again
    (Closes: #422611, #390374).
  * Applied patch by Martin Michlmayer for g++ 4.3 support (Closes:
    #417753).

 -- Yann Dirson <dirson@debian.org>  Fri, 18 May 2007 19:17:24 +0200

tulip (2.0.6-4) unstable; urgency=low

  * Capitalize GUI in extended descriptions.
  * Use "doc" section for tulip-doc as per archive override.
  * Moved tlprender to its own package so the libosmesa packaging issue do
    not prevent anyone to use tulip itself using accelerated OpenGL
    (somewhat helps with #390374).  tlprender replaces previous tulip
    versions for this, and recommends tulip fot the plugins.

 -- Yann Dirson <dirson@debian.org>  Mon, 23 Oct 2006 22:56:00 +0200

tulip (2.0.6-3) unstable; urgency=low

  * Fixed libtulip-qt4-2.0-dev to depend on libtulip-qt4-2.0c2a, not on
    old libtulip-qt-2.0c2a.

 -- Yann Dirson <dirson@debian.org>  Wed,  4 Oct 2006 01:31:58 +0200

tulip (2.0.6-2) unstable; urgency=low

  * New patches:
    * Fixes for 64-bit platorms (Closes: #390018).

 -- Yann Dirson <dirson@debian.org>  Sat, 30 Sep 2006 12:17:21 +0200

tulip (2.0.6-1) unstable; urgency=low

  * New upstream release, removes the recently-added but mostly-unused
    thirdparty/triangle, which had a problematic license (non DFSG-free,
    GPL-incompatible).

  * Patches dropped, integrated upstream:
    * Fixes for 64-bit platorms.
    * Build fixes.
    * Fixes for out-of-tree build.
    * Fixed help strings in out-of-tree 3rd-party libs patch.
  * Patch dropped, presumably not necessary any more:
    * Autotools refresh.
  * Updated patches:
    * Add support for kfreebsd to libftg: still needs to updgrade config.*
      scripts.

 -- Yann Dirson <dirson@debian.org>  Sat, 23 Sep 2006 11:59:40 +0200

tulip (2.0.5-3) unstable; urgency=low

  * Build the docs with xmlto, install via new tulip-doc package (used
    "ch01" instead of "index" for dev's handbook, since xsltproc seems
    unable to generate it).
  * Removed obsolete doc-base file from tulip package.
  * Don't install empty examples hierarchy (Closes: #239264).
  * Minor description touchups and rules cleanups.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Sep 2006 23:45:43 +0200

tulip (2.0.5-2) unstable; urgency=low

  * New patch:
    * Fixes for 64-bit platorms by Andreas Jochens (Closes: #387876).
  * Updated patches:
    * Fixes for out-of-tree build: support for building the docs.
  * Do not build the docs yet, I could not get them to build with saxon or
    xmlto.

 -- Yann Dirson <dirson@debian.org>  Sun, 17 Sep 2006 22:48:35 +0200

tulip (2.0.5-1) unstable; urgency=low

  * New upstream release (Closes: #357996).
  * Dropped build-dep on libosmesa6-dev, since libgl1-mesa-swx11-dev now
    provides the off-scren lib (from 2.0.4-3.1 NMU).
  * Build with qt4, new packages for the qt4-related libs.

  * Patches dropped, integrated upstream:
    * Remove generated files
    * Fix qt4 autodetection
    * Support for building out of source dir, and fix DESTDIR support.
    * Fix a quoting problem in configure.in.
    * Fixes for g++ 4.1
    * Upstream fix for 64bit platforms
  * Updated patches:
    * Fix help strings in out-of-tree 3rd-party libs patch.
    * Autotools refresh (aclocal, automake, autoconf).
  * Unchanged patches:
    * Add support for kfreebsd to libftgl.
  * New patch:
    * Fixes for out-of-tree build.

 -- Yann Dirson <dirson@debian.org>  Sun, 10 Sep 2006 18:23:30 +0200

tulip (2.0.4-3) unstable; urgency=low

  * Updated patches:
    * Upstream fix for 64bit platforms (Closes: #368572 for real this
    time).

 -- Yann Dirson <dirson@debian.org>  Wed, 24 May 2006 23:05:41 +0200

tulip (2.0.4-2) unstable; urgency=low

  * Use official ftgl, since tulip was updated to the current ftgl API
    (Closes: #368573).  Link with libftgl_pic.a since it is included in
    libtulip-ogl.
  * Added missing build-dep on qt3-apps-dev, as pointed out in #368573 as
    well.
  * Added a debian/README.maint file with notes about how this package is
    maintained using stgit.
  * Bumped Standards-Version to 3.7.2, no change.

  * New patches:
    * Fixes for g++ 4.1 from Martin Michlmayr (Closes: #357996).
    * Remove useless cast breaking on 64bit platforms (Closes: #368572).
    * Add support for kfreebsd to libftgl (part of #368573, in case we
      need to use the shipped version at some ppoint)
  * Updated patches:
    * Add support to use out-of-tree 3rd-party libs (fixed help strings).

 -- Yann Dirson <dirson@debian.org>  Tue, 23 May 2006 23:54:58 +0200

tulip (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU (Closes: #356886, #354498).
  * Switched away from dbs, using stgit out-of-band for now: dropped dbs
    and bzip2 from build-deps.  Patches exported using "stg export -nd
    debian/patches".
  * Recompressed upstream tarball with gzip since we cannot use the
    pristine one any more (hey, dbs was indeed useful for that...).
  * Misc new build-deps: libxml2-utils (xmllint), graphviz (dot), xmltex
    (pdfxmltex), libjpeg62-dev, libpng12-dev, doxygen
  * Build in an out-of-source tree.
  * Dropped old docs included in debian/ in favor of officially-shipped
    ones (Not built yet, since the java doc toolchain needs some
    investigation).
  * Added ${misc:Depends} to all binary packages.
  * Switched from debhelper v3 to v5.
  * Fixed latin1 character in changelog to utf8.
  * Updated debian/watch to look at sourceforge.

  * Patches applied to upstream source:
    * Add support to use out-of-tree 3rd-party libs
    * Remove generated files [NEW]
    * Fix qt4 autodetection [NEW]
    * Support for building out of source dir, and fix DESTDIR support. [NEW]
    * Fix a quoting problem in configure.in. [NEW]
    * Autotools refresh (aclocal, automake, autoconf).
  * Dropped now apparently useless 01_springelectrical,
    10_g++4.0_build_failures, and 50_xpath_hack.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 May 2006 23:26:55 +0200

tulip (2.0.2-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update mesag-dev build-dep (Closes: #354498).

 -- Luk Claes <luk@debian.org>  Tue, 14 Mar 2006 15:57:41 +0100

tulip (2.0.2-7) unstable; urgency=low

  * Updated library package names for the new C++ ABI transition (Closes:
    #339273).
  * Bumped Standards-Version to 3.6.2 (no change).

 -- Yann Dirson <dirson@debian.org>  Sat, 26 Nov 2005 23:24:55 +0100

tulip (2.0.2-6) unstable; urgency=low

  * The "unfuck the ABI" release.
  * Updated library package names for the C++ ABI transition.

 -- Yann Dirson <dirson@debian.org>  Sun,  4 Sep 2005 21:21:06 +0200

tulip (2.0.2-5) unstable; urgency=low

  * Rebuilt with g++-4.0.
  * Incorporated patch to allow building with g++-4.0 from Hervé Cauwelier
    (Closes: #311022).  Added a missing empty line whose lack corrupted
    the diff.
    => debian/patches/10_g++4.0_build_failures
  * Fixed typo in all short descriptions, saying "Tulib" instead of "Tulip" !
  * Removed use of included 3rd-party libraries already in Debian:
    * Modified tulip-ogl Makefile to get ftgl location from configure
    * Modified configure.in to allow external versions of all 3
      third-party libs to be used.
    => debian/patches/60_thirdparty-external
    * Regenerated 99_autotools.
  * Build-depend on libgle3-dev, asked configure to use it; do not use
    ftgl-dev since the API broke compatibility in the new version.
  * Changed build-depend from old mesag3-dev to freeglut3-dev.

 -- Yann Dirson <dirson@debian.org>  Fri, 19 Aug 2005 21:47:07 +0200

tulip (2.0.2-4) unstable; urgency=low

  * The "yet again" and "damn, I've missed sarge freeze :(" release.
  * tlprender is built on hppa and ia64, despite having no libosmesa.  Go
    wonder.

 -- Yann Dirson <dirson@debian.org>  Wed,  4 May 2005 18:53:31 +0200

tulip (2.0.2-3) unstable; urgency=low

  * The "autobuilders will hate me" release.
  * Removed the libglide3 build-dep, and require mesag-dev 6.2.1-5
    instead, since that new release fixes the original problem.
  * Do not try to prevent the use of xlibmesa, since the build-dep on
    libglu1-mesa-dev causes unexpected problems.
  * Generate debian/tulip.files as needed from a .in file, since tlprender
    is only built when libosmesa is available.
  * Fixed typo in debian/rules which could prevent dependencies to be
    correctly detected, esp. when older tulip libs would be installed on
    the build system.

 -- Yann Dirson <dirson@debian.org>  Tue,  3 May 2005 19:24:57 +0200

tulip (2.0.2-2) unstable; urgency=low

  * The "mesa is not fixed yet" release.
  * Restricted the libglide3 build-dep to i386, alpha, and ia64.
  * Do not build-depend on libosmesa6-dev on architectures which lack it
    (currently hppa and ia64).
  * Added a build-dep on libglu1-mesa-dev to avoid xlibmesa-glu, pulled by
    default, because of the spurious conflict introduced by current mesa
    packages.
  * Put -dev packages into libdevel section, thus matching the override.

 -- Yann Dirson <dirson@debian.org>  Mon,  2 May 2005 21:50:36 +0200

tulip (2.0.2-1) unstable; urgency=low

  * New upstream release, shipping Vera instead of Luxi fonts (Closes:
    #298930).
  * Create symlinks to Vera and Vera Bold instead of duplicating those
    fonts.  Depend on ttf-bitstream-vera for this.
  * Added temporary build-dep on libglide3 to workaround mesag3 6.2.1-4
    bug.
  * Dropped now-unneeded patches 01_recent-freetype_buildfix.
  * Updated patch 50_xpath_hack, and accordingly 99_autotools.
  * Build-depend on newer libosmesa6-dev.
  * Adjusted debian/watch for new upstream site layout.
  * Fixed compilation of plugins/layout/SpringElectrical.cpp
    => debian/patches/01_springelectrical

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Apr 2005 00:56:20 +0200

tulip (2.0.0-2) unstable; urgency=low

  * Added libxml2-dev to build-deps (Closes: #276438).

 -- Yann Dirson <dirson@debian.org>  Thu, 14 Oct 2004 22:46:40 +0200

tulip (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Switched to DBS.
  * New shlib package name.
  * Use full soname in dev package, providing unversionned name, and
    conflicting with other ones.
  * Splitted ogl and qt shlibs into their own packages.
  * Moved tulip-config to libtulip-2.0-dev, added a replace on old tulip
    packages for this.
  * Ran aclocal (and auto{conf,make}) to get a less-buggy libxml2 test
    => debian/patches/99_autotools
  * Applied build fix from sourceforge for recent freetype versions
    => debian/patches/01_recent-freetype_buildfix
  * Hacked AC_PATH_GL in acinclude.m4 to be sure that X libs are looked
    for in /usr/X11R6/lib/.
    => debian/patches/50_xpath_hack
  * Added debian/watch file.
  * Added libfreetype6-dev to build-deps.

 -- Yann Dirson <dirson@debian.org>  Sat, 25 Sep 2004 16:19:26 +0200

tulip (1.2.5-5) unstable; urgency=low

  * Use libosmesa4-dev instead of xlibosmesa-dev, so that tlprender gets
    built on all platforms.
  * Fixed arguments to dh_shlibsdeps to match current library package
    naming.
  * Quoted menu items to please lintian.
  * Bumped Standards-Version to 3.6.1 - no change (we already built using
    -g).

 -- Yann Dirson <dirson@debian.org>  Sun,  7 Mar 2004 20:59:59 +0100

tulip (1.2.5-4) unstable; urgency=low

  * Build with xfree86 4.3, and bumped build-dep accordingly, to get
    linked to the new libosmesa4 (Closes: #235864).

 -- Yann Dirson <dirson@debian.org>  Tue,  2 Mar 2004 23:11:54 +0100

tulip (1.2.5-3) unstable; urgency=low

  * Updated upstream URL in copyright file.
  * Regenerated libtool stuff using libtool 1.5 this time, even if
    upstream used 1.4, since 1.4 does not support properly C++ shlibs.
    Sigh.
  * Removed now-useless extra cleanup during "clean".

 -- Yann Dirson <dirson@debian.org>  Fri, 17 Oct 2003 22:10:39 +0200

tulip (1.2.5-2) unstable; urgency=low

  * Updated libtool stuff (Closes: #213787).
  * Added AM_MAINTAINER_MODE to thirdparty/gle/configure.in and
    regenerated files there.
  * Fixed menu entry (Closes: #215706).

 -- Yann Dirson <dirson@debian.org>  Sat, 11 Oct 2003 23:19:35 +0200

tulip (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Use dh-buildinfo.
  * Lib package now named libtulip-1.2
  * Fixed deps for -dev package.

 -- Yann Dirson <dirson@debian.org>  Mon,  8 Sep 2003 20:02:04 +0200

tulip (1.2.4-3) unstable; urgency=low

  * Added -fPIC to thirdparty/gzstream/Makefile.am (Closes: #192394).

 -- Yann Dirson <dirson@debian.org>  Mon, 26 May 2003 15:39:13 +0200

tulip (1.2.4-2) unstable; urgency=low

  * Updated config.* in gle subdir, since mipsen were not recognized.

 -- Yann Dirson <dirson@debian.org>  Fri,  2 May 2003 14:04:28 +0200

tulip (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * Now ships an aclocal def - have the -dev package suggest automaken.
  * Fixed invocation of dh_shlibsdeps.

 -- Yann Dirson <dirson@debian.org>  Mon, 28 Apr 2003 20:56:51 +0200

tulip (1.2.3-12) unstable; urgency=low

  * Fixed location of docs (Closes: #186228).

 -- Yann Dirson <dirson@debian.org>  Tue, 25 Mar 2003 19:46:15 +0100

tulip (1.2.3-11) unstable; urgency=low

  * Don't build-dep on xlibosmesa-dev on archs which don't have it.  They
    just won't have tlprender available.

 -- Yann Dirson <dirson@debian.org>  Sun, 23 Mar 2003 17:49:43 +0100

tulip (1.2.3-10) unstable; urgency=low

  * Build-dep on sharutils for uudecode.

 -- Yann Dirson <dirson@debian.org>  Sat, 22 Mar 2003 23:31:21 +0100

tulip (1.2.3-9) unstable; urgency=low

  * Don't use a wrapper script any more (Closes: #182068).
  * Ship upstream docs taken from website, since upstream confirmed
    they're GPL'd some time ago already (Closes: #169214).  Written a
    small index.html to reference them.
  * Resurected and improved doc-base file.

 -- Yann Dirson <dirson@debian.org>  Fri, 21 Mar 2003 15:37:28 +0100

tulip (1.2.3-8) unstable; urgency=low

  * Added missing build-dep on xlibosmesa-dev.  For some reason this
    breaks only thr m68k build.

 -- Yann Dirson <dirson@debian.org>  Thu,  6 Mar 2003 15:48:18 +0100

tulip (1.2.3-7) unstable; urgency=low

  * Oops, I forgot to regenerate Makefile.in's from fixed Makefile.am's.

 -- Yann Dirson <dirson@debian.org>  Thu,  6 Mar 2003 10:28:06 +0100

tulip (1.2.3-6) unstable; urgency=low

  * Fixed all other plugins, now that the fix proved right.  Added
    -avoid-version in addition to -module as suggested by upstream
    (Closes: #183532).

 -- Yann Dirson <dirson@debian.org>  Wed,  5 Mar 2003 17:49:54 +0100

tulip (1.2.3-5) unstable; urgency=low

  * Attempt to fix how clustering plugins are built - buildd on
    PIC-mixing-allergic archs demonstrated an automake/libtool misuse.
  * Be sure -lGLU is specified after -lglut on link, by changing
    AC_PATH_GL in acinclude.m4 (Closes: #182952).

 -- Yann Dirson <dirson@debian.org>  Wed,  5 Mar 2003 12:49:19 +0100

tulip (1.2.3-4) unstable; urgency=low

  * Configure using --with-pic so that shipped GLE copy gets built in a way
    compatible with its use, after discussing the issue with upstream.  I
    shall some day implement a --with-system-gle flag, which would be
    closer to what we need (Closes: #181941).
  * Fixed package sections according to overrides file.
  * Tightenned dep on debhelper for "dh_shlibdeps -L" support (Matthew Newton).

 -- Yann Dirson <dirson@debian.org>  Tue,  4 Mar 2003 18:05:45 +0100

tulip (1.2.3-3) unstable; urgency=low

  * Updated autotools stuff in topdir as well as thirdparty/gle to
    allow correct build on mipsen (Closes: #182308)
  * Include call to AM_MAINTAINER_MODE to configure.in to avoid build-dep
    on autotools.
  * Changed ordering of "make" calls in debian/rules clean target.
  * Added more hacks to ensure thirdparty tree gets fully cleaned up.

 -- Yann Dirson <dirson@debian.org>  Mon,  3 Mar 2003 22:21:35 +0100

tulip (1.2.3-2) unstable; urgency=low

  * Take includes from /usr/share/qt3 (Closes: #182309).

 -- Yann Dirson <dirson@debian.org>  Wed, 26 Feb 2003 22:55:05 +0100

tulip (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Finally builds with g++-3.2 (Closes: #162931), which is now the
    default.
  * Split into lib and -dev package
  * Updated config.{sub,guess}.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Feb 2003 18:02:56 +0100

tulip (1.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #167261).
  * Should build fine with gcc3.  Even force the use of
    g++-3.2, since it does not seem to build any more with 2.95.
  * Force rebuilding MOC files for current Qt version, by removing them
    all at configure time (Closes: #173267).
  * Requires libqt3-mt-dev to build (Closes: #173977).
  * Be sure to clean thirdparty/ subdir.
  * Updated ./missing script, which did not honor some recent flags and
    made ./configure complain.

 -- Yann Dirson <dirson@debian.org>  Tue, 24 Dec 2002 01:26:54 +0100

tulip (1.2.1-1) unstable; urgency=low

  * The "turn undead" release (Closes: #157270).
  * New maintainer, bringing package back from the crypt^Wmorgue.
  * Changed build-dep from mesag-dev to xlibmesa-dev (for no better reason
    that it's the runtime lib I use - just tell me if that's not adequate).
  * Changed build-dep from libqt-gl-dev to libqt3-dev, since qt3 is
    required, and it looks like no additional package is needed for gl stuff.
  * Misc debian/ dir cleanups for my taste.
  * Use "make install" to install, adapting configure call.
  * Replaced use of /usr/lib/tulip/ in the wrapper script with use of
    /usr/lib/tlp/ which is used upstream.
  * Added TLPDIR to the wrapper script, since it looks like it's the only
    required thing now.
  * Fixed markup of sgml manpage.
  * Removed doc-base file, as there is no doc here any more :(
  * Use a symlink to upstream-installed examples instead of copying examples.
  * Added a shlibs.local file.
  * Build-depend on debhelper 4 to use debian/compat.

 -- Yann Dirson <dirson@debian.org>  Mon, 30 Sep 2002 00:24:37 +0200

tulip (1.1-3) unstable; urgency=low

  * Added Build-Depends: docbook-to-man

 -- Matt Zimmerman <mdz@debian.org>  Sun,  9 Dec 2001 21:43:46 -0500

tulip (1.1-2) unstable; urgency=low

  * Use mkdir -p in debian/rules so that it doesn't fail if, e.g. the
    source tree was not cleaned (Closes: #120968)

 -- Matt Zimmerman <mdz@debian.org>  Mon,  3 Dec 2001 04:34:58 -0500

tulip (1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #119411)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 Nov 2001 04:40:48 -0500
